"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpers_1 = require("./helpers");
var helpers_2 = require("./helpers");
function updateHTMLWithLinks(el, bind, vnode, options) {
    if (options === void 0) { options = {}; }
    var _a = (0, helpers_2.defineOptions)(options), urlRegEx = _a.urlRegEx, target = _a.target, disableWarnings = _a.disableWarnings;
    var attrText = bind.value ? bind.value : undefined;
    var error = (0, helpers_2.handleConsoleWarnings)(vnode, attrText, disableWarnings);
    if (error) {
        return;
    }
    var spaceSplitedText = attrText.split(' ');
    var linkedTextArr = spaceSplitedText.map(function (word) {
        var nSplitedPhrase = word.split(/\n/);
        var nEnd = nSplitedPhrase.length > 1 ? nSplitedPhrase.length : 0;
        var nSplitedPhraseLinked = '';
        for (var _i = 0, nSplitedPhrase_1 = nSplitedPhrase; _i < nSplitedPhrase_1.length; _i++) {
            var nSplitedTerm = nSplitedPhrase_1[_i];
            nEnd -= 1;
            var isTermLink = nSplitedTerm.match(urlRegEx);
            var isTermHTMLTag = nSplitedTerm.match(helpers_1.validHTMLtagRegExp);
            if (isTermHTMLTag) {
                nSplitedTerm = (0, helpers_2.sanitizeHTMLTags)(nSplitedTerm);
            }
            if (isTermLink) {
                var linkEl = "<a href=\"".concat(nSplitedTerm, "\" target=\"").concat(target, "\">").concat(nSplitedTerm, "</a>");
                nSplitedPhraseLinked = (0, helpers_2.updateLinkedPhrase)(nEnd, nSplitedPhraseLinked, linkEl);
                continue;
            }
            nSplitedPhraseLinked = (0, helpers_2.updateLinkedPhrase)(nEnd, nSplitedPhraseLinked, nSplitedTerm);
        }
        return nSplitedPhraseLinked;
    });
    el.innerHTML = linkedTextArr.join(' ');
}
exports.default = updateHTMLWithLinks;
